Create a Note for Incident
curl --request POST \
--url https://api.alerty.ai/incident/{id}/note \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"emailVerified": true,
"profilePictureURL": "<string>"
},
"content": "<string>"
}
'import requests
url = "https://api.alerty.ai/incident/{id}/note"
payload = {
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"emailVerified": True,
"profilePictureURL": "<string>"
},
"content": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '5df33a85-2b9c-40e3-8854-760ee3b8efc7',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
createdBy: {
id: '<string>',
email: '<string>',
firstName: '<string>',
lastName: '<string>',
emailVerified: true,
profilePictureURL: '<string>'
},
content: '<string>'
})
};
fetch('https://api.alerty.ai/incident/{id}/note', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"emailVerified": true,
"profilePictureURL": "<string>"
},
"content": "<string>"
}{
"description": "A descriptive error message",
"code": 1400,
"field": "name"
}{
"description": "A descriptive error message",
"code": 1400,
"field": "name"
}{
"description": "A descriptive error message",
"code": 1400,
"field": "name"
}{
"description": "A descriptive error message",
"code": 1400,
"field": "name"
}Incident
Create a Note for Incident
this operation creates a new incident note
POST
/
incident
/
{id}
/
note
Create a Note for Incident
Authorizations
bearerAuthcookieAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
the incident identifier Unique identifier for the entity
Example:
"5df33a85-2b9c-40e3-8854-760ee3b8efc7"
Body
application/json
Response
resource created
⌘I

